> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meeamitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Api Keys

> Returns all api keys from the system that the user has access to



## OpenAPI

````yaml GET /auth/v1/apikeys
openapi: 3.1.0
info:
  title: OpenAPI Developer Portal
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-dev.meeamitech.com
security:
  - bearerAuth: []
paths:
  /auth/v1/apikeys:
    get:
      description: Returns all api keys from the system that the user has access to
      responses:
        '200':
          description: Api Keys Details
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiKeys'
              example:
                message: Api keys are Listed Successfully
                data:
                  - _id: 67c52a1526865c41a282c4e9
                    teamId: 67a2ea1d828c9098134e7b92
                    name: Suresh
                    key: 3289e233-93f7-411e-9d06-308c26fc278f
                    createdAt: '2025-03-03T03:58:10.357+00:00'
                    expiresAt: '2025-03-10T04:03:33.131+00:00'
                    uuid: 67af1bcea4f8dca74f0d51b0
                    isPublic: true
                  - _id: 67c52a1526865c41a282c4e0
                    teamId: 67a2ea1d828c9098134e7b91
                    name: John
                    key: 3289e233-93f7-411e-9d06-308c26fc278g
                    createdAt: '2025-03-03T03:58:10.357+00:00'
                    expiresAt: '2025-03-10T04:03:33.131+00:00'
                    uuid: 67af1bcea4f8dca74f0d51b0
                    isPublic: true
components:
  schemas:
    ApiKeys:
      required:
        - id
        - key
        - name
        - teamId
        - uuid
        - isPublic
        - createdAt
        - expiresAt
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        teamId:
          type: string
        uuid:
          type: string
        isPublic:
          type: boolean
        createdAt:
          type: string
        expiresAt:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````